const volVectorField& UAll = this->db().objectRegistry::lookupObject<volVectorField>  ("U");
vectorField allN = patch().Sf()/patch().magSf();
vectorField allC = patch().Cf();
scalarField aeroForce = 0.0*patch().magSf();
vector nv(vector::zero);
vector t1v(vector::zero);
vector t2v(vector::zero);
scalar Un(0.0);
scalar Ut1(0.0);
scalar alp1(0.0);
scalar ca(0.0);
scalar q(0.0);

const label nbrIndex = this->cyclicPatch().neighbPatchID();
const fvPatch& nbrPatch = patch().boundaryMesh()[nbrIndex];
const labelUList& nbrCells = nbrPatch.faceCells();
const labelUList& ownerCells = patch().faceCells();
vectorField ownCellCenter = patch().Cn();
vectorField nbrCellCenter = nbrPatch.Cn();
vectorField owner2nbr = nbrCellCenter - ownCellCenter;
vectorField U = UAll.boundaryField()[patch().index()]*0.0;

scalarField jumpSign = scalarField(ownCellCenter.size(),0.0);

forAll(allN, iN)
{

    nv = allN[iN];
    nv = sign(nv & (pvj_point-allC[iN]))*nv;
    // Assigning jump sign accountig for normal orientation direction
    if ((owner2nbr[iN]&nv)>=0.0)
    {
        jumpSign[iN] = 1.0;
    }
    else
    {
        jumpSign[iN] = -1.0;
    }

    // Getting upstream velocity
    if ((owner2nbr[iN]&UAll[ownerCells[iN]])>=0.0)
    {
        U[iN] = UAll[ownerCells[iN]];
    }
    else
    {
        U[iN] = UAll[nbrCells[iN]];
    }
}
